; Map the IR keycodes to ASCII codes to be sent in Terminal mode
MapIRKey
    copyl HIGH MapIRKey, PCLATH ; Care for jump table
    movfw   rc_cmd
    addwf   PCL, F
    retlw '0'                   ; 00 = Button 0 
    retlw '1'                   ; 01 = Button 1 
    retlw '2'                   ; 02 = Button 2
    retlw '3'                   ; 03 = Button 3 
    retlw '4'                   ; 04 = Button 4 
    retlw '5'                   ; 05 = Button 5 
    retlw '6'                   ; 06 = Button 6 
    retlw '7'                   ; 07 = Button 7 
    retlw '8'                   ; 08 = Button 8 
    retlw '9'                   ; 09 = Button 9 
    retlw 'A'                   ; 0a = Button -/--
    retlw 0                     ; 0b
    retlw 0                     ; 0c = Off (not handled here)
    retlw '\x08'                ; 0d = Back
    retlw 0                     ; 0e
    retlw 0                     ; 0f
    retlw '<'                   ; 10 = Vol+
    retlw '>'                   ; 11 = Vol-
    retlw 0                     ; 12
    retlw 0                     ; 13
    retlw 0                     ; 14
    retlw 0                     ; 15
    retlw 0                     ; 16
    retlw 0                     ; 17
    retlw 0                     ; 18
    retlw 0                     ; 19
    retlw 0                     ; 1a
    retlw 0                     ; 1b
    retlw 0                     ; 1c
    retlw 0                     ; 1d
    retlw 0                     ; 1e
    retlw 0                     ; 1f
    retlw '+'                   ; 20 = Prog+
    retlw '-'                   ; 21 = Prog-
    retlw 0                     ; 22
    retlw 0                     ; 23
    retlw 0                     ; 24
    retlw 0                     ; 25
    retlw 0                     ; 26
    retlw 0                     ; 27
    retlw 0                     ; 28
    retlw 'P'                   ; 29 = Pause
    retlw 0                     ; 2a
    retlw 0                     ; 2b
    retlw 0                     ; 2c
    retlw 0                     ; 2d
    retlw 'F'                   ; 2e = Forward
    retlw 0                     ; 2f
    retlw 0                     ; 30
    retlw 0                     ; 31
    retlw 0                     ; 32
    retlw 0                     ; 33
    retlw 0                     ; 34
    retlw 0                     ; 35
    retlw 0                     ; 36
    retlw 0                     ; 37
    retlw 'V'                   ; 38 = AV
    retlw 0                     ; 39 
    retlw 0                     ; 3a
    retlw 0                     ; 3b
    retlw 'W'                   ; 3c = Rewind
    retlw 0                     ; 3d
    retlw 0                     ; 3e 
    retlw 'Y'                   ; 3f = Play
    retlw 0                     ; 40
    retlw 0                     ; 41
    retlw 0                     ; 42
    retlw 0                     ; 43
    retlw 0                     ; 44
    retlw 0                     ; 45
    retlw 0                     ; 46
    retlw 0                     ; 47
    retlw 0                     ; 48
    retlw 0                     ; 49 
    retlw 0                     ; 4a
    retlw 0                     ; 4b
    retlw 0                     ; 4c 
    retlw 0                     ; 4d
    retlw 0                     ; 4e 
    retlw 0                     ; 4f 
    retlw 'U'                   ; 50 = Cursor up
    retlw 'D'                   ; 51 = Cursor down
    retlw 'M'                   ; 52 = Menu
    retlw 0                     ; 53
    retlw 0                     ; 54
    retlw 'L'                   ; 55 = Cursor left
    retlw 'R'                   ; 56 = Cursor right
    retlw 'E'                   ; 57 = Enter
    retlw 0                     ; 58
    retlw 0                     ; 59 
    retlw 0                     ; 5a
    retlw 0                     ; 5b
    retlw 0                     ; 5c 
    retlw 0                     ; 5d
    retlw 0                     ; 5e 
    retlw 0                     ; 5f 
